<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Delete Forum Thread Votes REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75346/delete-forum-thread-votes-rest-endpoint</link><description>&lt;p&gt;&lt;span&gt;Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.&lt;/span&gt;&lt;/p&gt;</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Delete Forum Thread Votes REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75346/delete-forum-thread-votes-rest-endpoint</link><pubDate>Fri, 08 Mar 2024 17:46:18 GMT</pubDate><guid isPermaLink="false">4595791e-657a-4b51-b252-7bed642e1267</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/13/w/api-documentation/75346/delete-forum-thread-votes-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 03/08/2024 17:46:18&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;POST (Header:DELETE) api.ashx/v2/forums/threads/{threadid}/vote.{json|xml}&lt;/h2&gt;&lt;p&gt;Removes a vote for a thread for the accessing user&lt;/p&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;ThreadId&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Id of the Thread&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;VoteType&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Either Interest or Quality.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;Interest&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.del({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/forums/threads/{threadid}/vote.json&amp;#39;,
	data: { 
		&amp;#39;threadid&amp;#39;: &amp;#39;6&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>